package com.srs.routine.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.routine.domain.SysDisMate;

/**
 * 退伍复学材料Service接口
 *
 * @author srs
 * @date 2025-10-28
 */
public interface ISysDisMateService extends IService<SysDisMate> {
    /**
     * 查询退伍复学材料
     *
     * @param id 退伍复学材料主键
     * @return 退伍复学材料
     */
    public SysDisMate selectSysDisMateById(Long id);

    /**
     * 查询退伍复学材料列表
     *
     * @param sysDisMate 退伍复学材料
     * @return 退伍复学材料集合
     */
    List<SysDisMate> selectSysDisMateList(SysDisMate sysDisMate);

    /**
     * 新增退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    int insertSysDisMate(SysDisMate sysDisMate);

    /**
     * 修改退伍复学材料
     *
     * @param sysDisMate 退伍复学材料
     * @return 结果
     */
    int updateSysDisMate(SysDisMate sysDisMate);


    /**
     * 批量删除退伍复学材料
     *
     * @param ids 需要删除的退伍复学材料主键集合
     * @return 结果
     */
    int deleteSysDisMateByIds(Long[] ids);

    /**
     * 删除退伍复学材料信息
     *
     * @param id 退伍复学材料主键
     * @return 结果
     */
    int deleteSysDisMateById(Long id);
}
